package com.cf.imes.module.system.service.labeltemplate;

import java.util.*;
import com.cf.imes.module.system.controller.admin.labeltemplate.vo.*;

import jakarta.validation.Valid;

/**
 * 标签模板 Service 接口
 *
 * @author 晨丰科技
 */
public interface LabelTemplateService {

    /**
     * 创建标签模板
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createLabelTemplate(@Valid LabelTemplateSaveReqVO createReqVO);

    /**
     * 更新标签模板
     *
     * @param updateReqVO 更新信息
     */
    void updateLabelTemplate(@Valid LabelTemplateSaveReqVO updateReqVO);

    /**
     * 删除标签模板
     *
     * @param id 编号
     */
    void deleteLabelTemplate(Long id);

    // ==================== 子表（标签元素模板） ====================


    Map<String, List<LabelTemplateRespVO>> getGroupList();

    /**
     * 获得默认标签模板
     * @param type
     * @return
     */
    LabelTemplateRespVO getDefaultLabelTemplate(String type);

    Boolean setDefaultTemplate(Long id);
}